ios – RCTFatal+668 error in TestFlight however runs completely high-quality in Expo-Go

[ad_1]

Presently, I’ve an expo-cli managed app. After I run it via the Expo Go app on the simulator or my precise cellphone, it really works completely, however after I construct it via eas construct and submit it to TestFlight, it crashes upon clicking a button. It says that the error is an RCTFatal+668 and -[RCTExceptionsManager reportFatal:stack:exceptionId:extraDataAsJSON:]. Right here is an attachment of what it says (the app title is blurred for privateness causes):
Click on Right here to View the XCode error statements

Additionally, after I add Async.clear() within the code and run the expo-cli app via Expo-Go app, it says that there’s something associated to the AsyncStorage and RCTAsyncLocalStorage within the terminal (at the very least I feel that is what it is saying). Right here is the image of the log within the terminal (I blurred among the strains within the terminal for privateness causes): Click on Right here to View the Terminal Picture.

Are these in any method associated? And the way can I resolve the primary situation in order that after I deploy my app to TestFlight, it does not crash? I’ve learn different articles that point out the stack navigator, so I feel it may need to do with that as properly.

Right here is my bundle.json:

{
  "title": "{not right here for privateness causes}",
  "model": "1.0.0",
  "most important": "node_modules/expo/AppEntry.js",
  "scripts": {
    "begin": "expo begin",
    "android": "expo begin --android",
    "ios": "expo begin --ios",
    "net": "expo begin --web",
    "postinstall": "patch-package"
  },
  "dependencies": {
    "@react-native-async-storage/async-storage": "~1.17.3",
    "@react-native-picker/picker": "^2.4.2",
    "@react-navigation/bottom-tabs": "^6.4.0",
    "@react-navigation/native": "^6.0.13",
    "@react-navigation/native-stack": "^6.9.1",
    "deprecated-react-native-prop-types": "^2.3.0",
    "eas": "^0.1.0",
    "expo": "~46.0.16",
    "expo-status-bar": "~1.4.0",
    "patch-package": "^6.4.7",
    "react": "18.0.0",
    "react-native": "0.69.6",
    "react-native-flat-button": "^1.0.6",
    "react-native-safe-area-context": "4.3.1",
    "react-native-screens": "~3.15.0",
    "react-native-swipeable": "^0.6.0",
    "react-native-swipeout": "^2.3.6",
    "skyward-rest": "^1.0.1"
  },
  "devDependencies": {
    "@babel/core": "^7.12.9"
  },
  "personal": true
}

[ad_2]

Leave a Reply